Create domain

Create a new domain

Body Params

The parameters needed to create a new domain

string
required

The domain name.

string
enum
required

The kind of domain you want to add.

Allowed:
integer

The Zen service ID which shoud generate the OpenAPI spec. This, 'openapi_spec_base64' or 'openapi_spec_url' must be provided when using kind 'rest_api' or 'graphql_api'

string

The base64 encoded JSON or YAML OpenAPI spec you want to use for this domain. This, 'zen_service_id' or 'openapi_spec_url' must be provided when using kind 'rest_api' or 'graphql_api'

string

The URL to the JSON or YAML OpenAPI spec you want to use for this domain. This, 'zen_service_id' or 'openapi_spec_base64' must be provided when using kind 'rest_api' or 'graphql_api'

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json